<?php

namespace App\Http\Controllers\Api;

use App\Service\AreaService;
use Illuminate\Http\Request;

class AreaController extends BaseController
{
    public function add(Request $request)
    {
        $service = new AreaService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->add($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function edit(Request $request)
    {
        $service = new AreaService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function del(Request $request)
    {
        $service = new AreaService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->del($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function areaList(Request $request)
    {
        $service = new AreaService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->areaList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
