<?php

namespace App\Http\Controllers\Api;

use App\Service\GatewayService;
use Illuminate\Http\Request;

class GatewayController extends BaseController
{
    public function equipmentList(Request $request)
    {
        $service = new GatewayService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->equipmentList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function equipmentEdit(Request $request)
    {
        $service = new GatewayService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->equipmentEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function equipmentAdd(Request $request)
    {
        $service = new GatewayService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->equipmentAdd($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function equipmentDel(Request $request)
    {
        $service = new GatewayService();
        list($status,$data) = $service->equipmentDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
