<?php

namespace App\Http\Controllers\Api;

use App\Service\ScreenService;
use Illuminate\Http\Request;

class ScreenController extends BaseController
{
    public function add(Request $request)
    {
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->add($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function edit(Request $request)
    {
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->edit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function del(Request $request)
    {
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->del($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function orderList(Request $request)
    {
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->orderList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenDeviceList(Request $request)
    {
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->screenDeviceList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenDevice(Request $request)
    {
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->screenDevice($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenRemoveDevice(Request $request)
    {
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->screenRemoveDevice($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenDeviceDataRealTimeList(Request $request){
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->screenDeviceDataRealTimeList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function screenHistoryList(Request $request){
        $service = new ScreenService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->screenHistoryList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
