<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class Employee extends Model
{
    protected $table = "employee"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const USE = 1;
    const NOT_USE = 2;
    const SPECIAL_ACCOUNT_ID = 1;

    //人员状态
    const STATUS_ONE = 1;
    const STATUS_TWO = 2;

    const STATUS = [
        1 => '正常',
        2 => '停用'
    ];
}
