<?php

namespace App\Http\Controllers\Api;

use App\Service\DeviceService;
use Illuminate\Http\Request;

class DeviceController extends BaseController
{
    public function deviceTypeAdd(Request $request)
    {
        $service = new DeviceService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->deviceTypeAdd($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deviceTypeEdit(Request $request)
    {
        $service = new DeviceService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->deviceTypeEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deviceTypeDel(Request $request)
    {
        $service = new DeviceService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->deviceTypeDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deviceTypeList(Request $request)
    {
        $service = new DeviceService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->deviceTypeList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deviceList(Request $request)
    {
        $service = new DeviceService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->equipmentList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deviceEdit(Request $request)
    {
        $service = new DeviceService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->equipmentEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deviceAdd(Request $request)
    {
        $service = new DeviceService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->equipmentAdd($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function deviceDel(Request $request)
    {
        $service = new DeviceService();
        list($status,$data) = $service->equipmentDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
