<?php

namespace App\Http\Controllers\Api;

use App\Service\EmployeeService;
use Illuminate\Http\Request;

class EmployeeController extends BaseController
{
    public function employeeEdit(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->employeeEdit($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function employeeAdd(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->employeeAdd($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function employeeDel(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->employeeDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function employeeList(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->employeeList($request->all(),$user);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function roleEdit(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->roleEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function roleAdd(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->roleAdd($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function roleDel(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->roleDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function roleList(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->roleList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function roleMenu(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->roleMenu($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function departEdit(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->departEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function departAdd(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->departAdd($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function departDel(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->departDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function departList(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->departList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function teamEdit(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->teamEdit($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function teamAdd(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->teamAdd($request->all(),$request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function teamDel(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->teamDel($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function teamList(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->teamList($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function teamDetail(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->teamDetail($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function employeeDepart(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->employeeDepart($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

   public function employeeTeam(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->employeeTeam($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function employeeRole(Request $request)
    {
        $service = new EmployeeService();
        $user = $request->userData->toArray();
        list($status,$data) = $service->employeeRole($request->all());

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
