<?php

namespace App\Http\Controllers\Api;


use App\Service\HeaderWord\HeaderWordHookService;
use App\Service\ProcessService;
use Illuminate\Http\Request;


class HeaderWordController extends BaseController
{
    public function getHeaderWord(Request $request)
    {


        $service =  HeaderWordHookService::getInstance();
        $data = $request->all();
        list($status,$data) = $service->getHeaderWord($data);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }

    }

    public function getHeaderSettings(Request $request){
        $service =  HeaderWordHookService::getInstance();
        $data = $request->all();
        list($status,$data) = $service->getHeaderSettings($data);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function add(Request $request){
        $service =  HeaderWordHookService::getInstance();
        $data = $request->all();
        list($status,$data) = $service->add($data);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function detail(Request $request){
        $service =  HeaderWordHookService::getInstance();
        $data = $request->all();
        list($status,$data) = $service->detail($data);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
