<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;

class Screen extends Model
{
    protected $table = "screen"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';
    const type_one = 1;
    const type_two = 2;
    const type_three = 3;
    const type_four = 4;
    public static $name = [
        1 => '移动仓设备',
        2 => '工作仓设备',
        3 => '社区仓设备'
    ];
    public static $online = [
        0 => '离线',
        1 => '在线'
    ];
    public static $gps = [
        0 => '停运',
        1 => '闲置',
        2 => '载运'
    ];
    public static $exception = [
        0 => '异常',
        1 => '正常'
    ];
}

